//Robo Cup  Commentater  
import java.awt.*;
import java.net.*;
import java.io.*;
import java.awt.event.*;
import java.util.*;

class PlayerWin extends Frame implements WindowListener, 
				ActionListener, Runnable, Observer{

	PlayersPanel leftTeam, rightTeam;
	TextField txtKickCount[] = new TextField[11];
	Checkbox chkBoxUnum[] = new Checkbox[11];
	
	int totalLeftKick, totalRightKick;
	int totalLeftDist, totalRightDist;
	
	String txtDist, txtKick;

	ReplayInfo rInfo;

	PlayerWin(){
		super("PlayerInformarion");
		setBackground(Color.gray);

		setLayout(new FlowLayout());

		leftTeam = new PlayersPanel("Left");
		rightTeam = new PlayersPanel("Right");

		add(leftTeam);
		add(rightTeam);
		pack();

		addWindowListener(this);

	}
		
	void setKickCount(int side, int number, int kick){
		
		txtKick = new Integer(kick).toString();
		if (txtKick == null){System.out.println("nulll!!!!!!");}
		if (side == CParam.CType_LEFT){
			totalLeftKick += kick;
			leftTeam.txtKickCount[number].setText(txtKick);
		}
		
		else if (side == CParam.CType_RIGHT){
			totalRightKick += kick;
			rightTeam.txtKickCount[number].setText(txtKick);
		}
		
		else System.out.println("parameter error");

	}

	void setDistance(int side, int number, int dist){

		txtDist = new Integer(dist).toString();

		if (side == CParam.CType_LEFT){

			totalLeftDist += dist;
			leftTeam.txtTotalDist[number].setText(txtDist);
		}
		
		else if (side == CParam.CType_RIGHT){

			totalRightDist += dist;
			rightTeam.txtTotalDist[number].setText(txtDist);
		}

		else System.out.println("parameter error");


	}

	public void update(Observable o, Object arg){

		this.rInfo = (ReplayInfo)o;

		totalRightKick = totalRightDist = totalLeftKick = totalLeftDist = 0;	

		for(int i = 0; i<= 10; ++i){
			setKickCount(CParam.CType_LEFT, i, rInfo.getPlayerKickCount(i));
	 		setDistance(CParam.CType_LEFT, i, rInfo.getPlayerDistance(i));
		}
		for(int i = 0; i<= 10; ++i){
			setKickCount(CParam.CType_RIGHT, i, rInfo.getPlayerKickCount(i+11));
	 		setDistance(CParam.CType_RIGHT, i, rInfo.getPlayerDistance(i+11));
		}
		
		rightTeam.txtTeamKick.setText(new Integer(totalRightKick).toString());	
		rightTeam.txtTeamDist.setText(new Integer(totalRightDist).toString());
		leftTeam.txtTeamKick.setText(new Integer(totalLeftKick).toString());
		leftTeam.txtTeamDist.setText(new Integer(totalLeftDist).toString());
	}	

	void showWindow(){
		Thread th = new Thread(this);
		th.start();
	}

	public void windowClosed(WindowEvent event) {
        }
   	public void windowDeiconified(WindowEvent event) {
   	}
   	public void windowIconified(WindowEvent event) {
   	}
   	public void windowActivated(WindowEvent event) {
   	}
   	public void windowDeactivated(WindowEvent event) {
   	}
   	public void windowOpened(WindowEvent event) {
   	}
   	public void windowClosing(WindowEvent event) {

		setVisible(false);
          
   	}	

	public void actionPerformed(ActionEvent e){
	
	}

	public void run(){
		
		setVisible(true);
	}
}


